Loading...
Searching...
No Matches
etl::fnv_1_64 Class Reference

`#include <fnv_1.h>`

## Public Member Functions

| fnv_1_64 ()
| Default constructor.
template<typename TIterator>
| fnv_1_64 (TIterator begin, const TIterator end)
Public Member Functions inherited from etl::frame_check_sequence< fnv_1_policy_64 >
| ETL_STATIC_ASSERT (etl::is_unsigned< value_type >::value, "Signed frame check type not supported")
ETL_CONSTEXPR14 | frame_check_sequence ()
| Default constructor.
ETL_CONSTEXPR14 void | reset ()
| Resets the FCS to the initial state.
ETL_CONSTEXPR14 void | add (TIterator begin, const TIterator end)
ETL_CONSTEXPR14 value_type | value () const
| Gets the FCS value.
ETL_CONSTEXPR14 | operator value_type () const
| Conversion operator to value_type.
ETL_CONSTEXPR14 add_insert_iterator | input ()
| Gets an add_insert_iterator for input.

## Additional Inherited Members

Public Types inherited from etl::frame_check_sequence< fnv_1_policy_64 >
typedef fnv_1_policy_64 | policy_type
typedef policy_type::value_type | value_type
typedef private_frame_check_sequence::add_insert_iterator< frame_check_sequence< fnv_1_policy_64 > > | add_insert_iterator

## Detailed Description

Calculates the fnv_1_64 hash.

## Constructor & Destructor Documentation

## fnv_1_64()

template<typename TIterator>

etl::fnv_1_64::fnv_1_64 | ( | TIterator | begin,
|  | const TIterator | end )

inline

Constructor from range.

Parameters

  begin | Start of the range.
  end | End of the range.

The documentation for this class was generated from the following file:

- include/etl/fnv_1.h